#include "quaditem.h"
#include <QPixmap>
#include <QLabel>

QuadItem::QuadItem(QGraphicsItem* parent = nullptr)
{
   this->setParentItem(parent);
   setFlag(ItemIsMovable);
}

QRectF QuadItem::boundingRect() const
{
   return QRectF(0,0,50,50);
}

void QuadItem::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
   QRectF rec = boundingRect();
   painter->drawImage(rec,QImage(":/images/quad/quad.png"));
}

void QuadItem::updateQuad(float longitudinal, float lateral, float height, float pitch, float roll, float yaw)
{
    this->setPos(longitudinal*10, lateral*10);

    QPointF center = boundingRect().center();
    QTransform trans = this->transform();
    trans.translate(center.x(), center.y());
    trans.rotate(yaw);
    trans.translate(-center.x(), -center.y());
    this->setTransform(trans);
    update();
}
